
From: Corey Minyard <minyard@acm.org>

If there is an unexpected close, still allow the watchdog interface to be
re-opened on the IPMI watchdog.

Signed-off-by: Corey Minyard <minyard@acm.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/char/ipmi/ipmi_watchdog.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/char/ipmi/ipmi_watchdog.c~ipmi-fix-watchdog-so-the-device-can-be-reopened-on-an-unexpected-close drivers/char/ipmi/ipmi_watchdog.c
--- 25/drivers/char/ipmi/ipmi_watchdog.c~ipmi-fix-watchdog-so-the-device-can-be-reopened-on-an-unexpected-close	2005-04-29 18:26:30.793861440 -0700
+++ 25-akpm/drivers/char/ipmi/ipmi_watchdog.c	2005-04-29 18:26:30.797860832 -0700
@@ -709,11 +709,11 @@ static int ipmi_close(struct inode *ino,
 		if (expect_close == 42) {
 			ipmi_watchdog_state = WDOG_TIMEOUT_NONE;
 			ipmi_set_timeout(IPMI_SET_TIMEOUT_NO_HB);
-			clear_bit(0, &ipmi_wdog_open);
 		} else {
 			printk(KERN_CRIT PFX "Unexpected close, not stopping watchdog!\n");
 			ipmi_heartbeat();
 		}
+		clear_bit(0, &ipmi_wdog_open);
 	}
 
 	ipmi_fasync (-1, filep, 0);
_
